OpenSSLStatus (Apache Tomcat 11.0.22 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net.openssl, class: OpenSSLStatus

# Class OpenSSLStatus

java.lang.Object
org.apache.tomcat.util.net.openssl.OpenSSLStatus

public class OpenSSLStatus extends Object
Holds OpenSSL status without the need to load other classes.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `OpenSSLStatus.Name`
  OpenSSL library variant that has been identified

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenSSLStatus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getMajorVersion()`
  `static int`
  `getMinorVersion()`
  `static OpenSSLStatus.Name`
  `getName()`
  `static boolean`
  `getUseOpenSSL()`
  `static long`
  `getVersion()`
  `static boolean`
  `isAvailable()`
  `static boolean`
  `isBoringSSL()`
  `static boolean`
  `isInitialized()`
  `static boolean`
  `isInstanceCreated()`
  `static boolean`
  `isLibraryInitialized()`
  `static boolean`
  `isLibreSSLPre35()`
  `static boolean`
  `isOpenSSL3()`
  `static void`
  `setAvailable(boolean available)`
  `static void`
  `setInitialized(boolean initialized)`
  `static void`
  `setInstanceCreated(boolean instanceCreated)`
  `static void`
  `setLibraryInitialized(boolean libraryInitialized)`
  `static void`
  `setMajorVersion(int majorVersion)`
  `static void`
  `setMinorVersion(int minorVersion)`
  `static void`
  `setName(OpenSSLStatus.Name name)`
  `static void`
  `setUseOpenSSL(boolean useOpenSSL)`
  `static void`
  `setVersion(long version)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OpenSSLStatus

    public OpenSSLStatus()

- ## Method Details

  - ### isLibraryInitialized

    public static boolean isLibraryInitialized()

  - ### isInitialized

    public static boolean isInitialized()

  - ### isAvailable

    public static boolean isAvailable()

  - ### getUseOpenSSL

    public static boolean getUseOpenSSL()

  - ### isInstanceCreated

    public static boolean isInstanceCreated()

  - ### setLibraryInitialized

    public static void setLibraryInitialized(boolean libraryInitialized)

  - ### setInitialized

    public static void setInitialized(boolean initialized)

  - ### setAvailable

    public static void setAvailable(boolean available)

  - ### setUseOpenSSL

    public static void setUseOpenSSL(boolean useOpenSSL)

  - ### setInstanceCreated

    public static void setInstanceCreated(boolean instanceCreated)

  - ### getVersion

    public static long getVersion()
    Returns:
      the version

  - ### setVersion

    public static void setVersion(long version)
    Parameters:
      `version` - the version to set

  - ### getMajorVersion

    public static int getMajorVersion()
    Returns:
      the majorVersion

  - ### setMajorVersion

    public static void setMajorVersion(int majorVersion)
    Parameters:
      `majorVersion` - the majorVersion to set

  - ### getMinorVersion

    public static int getMinorVersion()
    Returns:
      the minorVersion

  - ### setMinorVersion

    public static void setMinorVersion(int minorVersion)
    Parameters:
      `minorVersion` - the minorVersion to set

  - ### getName

    public static OpenSSLStatus.Name getName()
    Returns:
      the library name

  - ### setName

    public static void setName(OpenSSLStatus.Name name)
    Parameters:
      `name` - the name to set

  - ### isOpenSSL3

    public static boolean isOpenSSL3()
    Returns:
      true if running with OpenSSL 3.0+

  - ### isBoringSSL

    public static boolean isBoringSSL()
    Returns:
      true if running with BoringSSL

  - ### isLibreSSLPre35

    public static boolean isLibreSSLPre35()
    Returns:
      true if running with LibreSSL < 3.5